InterestRegistrationEvent (Apache Geode 1.15.4)

org.apache.geode.cache

## Interface InterestRegistrationEvent

-     public interface InterestRegistrationEvent

  Interface `InterestRegistrationEvent` encapsulated interest event information like region and keys of interest.
  Since:
    GemFire 6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSession` | `getClientSession()` Returns the `ClientSession` that initiated this event
    `int` | `getInterestType()` Returns this event's interest type.
    `Set<?>` | `getKeysOfInterest()` Returns a `Set` of keys of interest.
    `Region<?,?>` | `getRegion()` Returns the region to which this interest belongs.
    `String` | `getRegionName()` Returns the name of the region to which this interest event belongs.
    `boolean` | `isKey()` Returns whether this event's interest type is `InterestType.KEY`.
    `boolean` | `isRegister()` Returns whether this event represents a register interest.
    `boolean` | `isRegularExpression()` Returns whether this event's interest type is `InterestType.REGULAR_EXPRESSION`.

- - ### Method Detail

    - #### getRegionName

          String getRegionName()

      Returns the name of the region to which this interest event belongs.
      Returns:
        the name of the region to which this interest event belongs

    - #### getRegion

          Region<?,?> getRegion()

      Returns the region to which this interest belongs.
      Returns:
        the region to which this interest belongs

    - #### getKeysOfInterest

          Set<?> getKeysOfInterest()

      Returns a `Set` of keys of interest.
      Returns:
        a `Set` of keys of interest

    - #### getInterestType

          int getInterestType()

      Returns this event's interest type.
      Returns:
        this event's interest type

    - #### isRegister

          boolean isRegister()

      Returns whether this event represents a register interest.
      Returns:
        whether this event represents a register interest

    - #### isKey

          boolean isKey()

      Returns whether this event's interest type is `InterestType.KEY`.
      Returns:
        whether this event's interest type is `InterestType.KEY`

    - #### isRegularExpression

          boolean isRegularExpression()

      Returns whether this event's interest type is `InterestType.REGULAR_EXPRESSION`.
      Returns:
        whether this event's interest type is `InterestType.REGULAR_EXPRESSION`

    - #### getClientSession

          ClientSession getClientSession()

      Returns the `ClientSession` that initiated this event
      Returns:
        the `ClientSession` that initiated this event